org.apache.struts2.dispatcher

## Class HttpParameters

- java.lang.Object
- - org.apache.struts2.dispatcher.HttpParameters

- All Implemented Interfaces:
    Map<String,Parameter>

      public class HttpParameters
      extends Object
      implements Map<String,Parameter>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HttpParameters.Builder`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpParameters` | `appendAll(Map<String,Parameter> newParams)` Appends all the parameters by overriding any existing params in a case-insensitive manner
    `void` | `applyParameters(ParameterAware parameterAware)`
    `void` | `clear()`
    `boolean` | `contains(String name)`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `static HttpParameters.Builder` | `create()`
    `static HttpParameters.Builder` | `create(Map requestParameterMap)`
    `Set<Map.Entry<String,Parameter>>` | `entrySet()`
    `Parameter` | `get(Object key)`
    `boolean` | `isEmpty()`
    `Set<String>` | `keySet()`
    `Parameter` | `put(String key, Parameter value)`
    `void` | `putAll(Map<? extends String,? extends Parameter> m)`
    `Parameter` | `remove(Object key)`
    `HttpParameters` | `remove(Set<String> paramsToRemove)`
    `HttpParameters` | `remove(String paramToRemove)`
    `int` | `size()`
    `Map<String,String[]>` | `toMap()` Deprecated. since 2.5.6, do not use it TODO: reduce access level to `private`
    `String` | `toString()`
    `Collection<Parameter>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Method Detail

    - #### create

          public static HttpParameters.Builder create(Map requestParameterMap)

    - #### create

          public static HttpParameters.Builder create()

    - #### remove

          public HttpParameters remove(Set<String> paramsToRemove)

    - #### remove

          public HttpParameters remove(String paramToRemove)

    - #### contains

          public boolean contains(String name)

    - #### toMap

          @Deprecated
          public Map<String,String[]> toMap()

      Deprecated. since 2.5.6, do not use it TODO: reduce access level to `private`
      Access to this method will be restricted with the next versiob

    - #### appendAll

          public HttpParameters appendAll(Map<String,Parameter> newParams)

      Appends all the parameters by overriding any existing params in a case-insensitive manner
      Parameters:
        `newParams` - A new params to append
      Returns:
        a current instance of `HttpParameters`

    - #### applyParameters

          public void applyParameters(ParameterAware parameterAware)

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,Parameter>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,Parameter>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<String,Parameter>`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map<String,Parameter>`

    - #### get

          public Parameter get(Object key)

      Specified by:
        `get` in interface `Map<String,Parameter>`

    - #### put

          public Parameter put(String key,
                               Parameter value)

      Specified by:
        `put` in interface `Map<String,Parameter>`

    - #### remove

          public Parameter remove(Object key)

      Specified by:
        `remove` in interface `Map<String,Parameter>`

    - #### putAll

          public void putAll(Map<? extends String,? extends Parameter> m)

      Specified by:
        `putAll` in interface `Map<String,Parameter>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,Parameter>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,Parameter>`

    - #### values

          public Collection<Parameter> values()

      Specified by:
        `values` in interface `Map<String,Parameter>`

    - #### entrySet

          public Set<Map.Entry<String,Parameter>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,Parameter>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.